# RO02 - List shop roles

Call FrequencyRecommended usage: On each user role viewMaximum usage: On each user role viewRead MoreMore context

Endpoint: GET /api/users/shops/roles
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_PARTNER_SHOP_USER_CREATE, ROLE_SHOP_ADMIN

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `roles` (array)

  - `roles.code` (string)

  - `roles.description` (string)

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

